Bug 608873 - [abrt] crash in texmaker-1:1.9.9-1.fc13: const: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
[abrt] crash in texmaker-1:1.9.9-1.fc13: const: Process /usr/bin/texmaker was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texmaker (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:62155b0075e3834570975cdfecc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 15:46 EDT by mray271
Modified: 2010-08-19 21:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: texmaker-2.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.68 KB, text/plain)
2010-06-28 15:46 EDT, mray271
no flags Details

  None (edit)
Description mray271 2010-06-28 15:46:19 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: texmaker /tmp/TemplateTextArea598091342307039775.txt
component: texmaker
crash_function: const
executable: /usr/bin/texmaker
global_uuid: 62155b0075e3834570975cdfecc80284def8fff6
kernel: 2.6.33.5-124.fc13.i686.PAE
package: texmaker-1:1.9.9-1.fc13
rating: 4
reason: Process /usr/bin/texmaker was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.Trying to run texmaker via opening a Java process on Matlab results in a segmentation fault
java.lang.Runtime.getRuntime().exec('texmaker /tmp/TemplateTextArea210876672.txt')
2. Other text editors such as nedit work just fine. For example:
3.java.lang.Runtime.getRuntime().exec('nedit /tmp/TemplateTextArea210876672.txt')
works as expected and spawns the editor.
Comment 1 mray271 2010-06-28 15:46:21 EDT
Created attachment 427491 [details]
File: backtrace
Comment 2 Fedora Update System 2010-08-06 14:30:56 EDT
texmaker-2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/texmaker-2.0-1.fc12
Comment 3 Fedora Update System 2010-08-06 14:31:05 EDT
texmaker-2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/texmaker-2.0-1.fc13
Comment 4 Fedora Update System 2010-08-07 19:21:58 EDT
texmaker-2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texmaker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/texmaker-2.0-1.fc13
Comment 5 Fedora Update System 2010-08-07 19:26:39 EDT
texmaker-2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texmaker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/texmaker-2.0-1.fc12
Comment 6 Fedora Update System 2010-08-19 21:29:56 EDT
texmaker-2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-08-19 21:49:05 EDT
texmaker-2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.